StatementByDateRange

Returns the statement between two dates.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction
profileNumberString1-20 characters✓Profile number linked with this card
cardIdentifierString1-20 characters✓Card number or Tracking number or Sequence number of the card
startDateDate✓The date when the statement starts
endDateDate✓The date when the statement ends
transactionIDString1-255 characters✓Transaction ID number generated by the calling client
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<methodCall>
    <methodName>StatementByDateRange</methodName>
    <params>
        <param>
            <value>
                <string>1234567890</string>
            </value>
        </param>
        <param>
            <value>
                <string>5676576567</string>
            </value>
        </param>
        <param>
            <value>
                <string>4545464546454645</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20220915T06:24:15</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20230101T00:03:15</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>1234c3c83b0bc5656e787878</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20230101T00:03:15</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>1CF0D6E5565B5D042A30E60B56E7A0D98ASD1KJ3</string>
            </value>
        </param>
    </params>
</methodCall>

Response Parameters

ParametertypeDescription
terminalIDStringEcho
profileNumberStringEcho
cardNumberStringNumber of the card found using the cardIdentifier
balanceAmountIntegerBalance amount in cents
expiryDateDateThe expiry date of the card
StatementArrayThe transaction history of the card:; ; transactionDate; ; Description: Date of the transaction; ; Type: date; ; transactionAmount; ; Description: amount of the transaction in cents; ; Type: integer; ; transactionDescription; ; Description: Name of the merchant where transaction originated; ; Type: string; ; transactionType; ; Description: Type of the transaction i.e. load, deduction, authorisation; ; Type: integer
clientTransactionIDStringEcho
serverTransactionIDStringTransaction ID generated by Paymentology
resultCodeIntegerStatus code indicating the transaction result
resultTextStringText indicating the transaction result
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>statement</name>
                        <value>
                            <array>
                                <data></data>
                            </array>
                        </value>
                    </member>
                    <member>
                        <name>clientTransactionID</name>
                        <value>
                            <string>SMH1321234567890</string>
                        </value>
                    </member>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                    <member>
                        <name>terminalID</name>
                        <value>
                            <string>4545454545</string>
                        </value>
                    </member>
                    <member>
                        <name>profileNumber</name>
                        <value>
                            <string>5656565656</string>
                        </value>
                    </member>
                    <member>
                        <name>cardNumber</name>
                        <value>
                            <string>5338925656565656</string>
                        </value>
                    </member>
                    <member>
                        <name>balanceAmount</name>
                        <value>
                            <int>2886000</int>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>OK</string>
                        </value>
                    </member>
                    <member>
                        <name>expiryDate</name>
                        <value>
                            <dateTime.iso8601>20261130T00:00:00</dateTime.iso8601>
                        </value>
                    </member>
                    <member>
                        <name>serverTransactionID</name>
                        <value>
                            <string>8676767678-A5656567F20483DF38BB295BA490FBF777777F5B</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>